# Tomcat
server:
  port: 58580
  servlet:
    context-path: zhgd
# Spring
spring: 
  application:
    # 应用名称
    name: bonus-gateway
  profiles:
    # 环境配置
    active: bonus_houqin_test
  cloud:
    nacos:
      username: nacos
      password: bonus@Admin123
      discovery:
        # 服务注册地址
        server-addr: 192.168.0.244:8848
        namespace: bonus_houqin
      config:
        # 配置中心地址
        server-addr: 192.168.0.244:8848
        namespace: bonus_houqin
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
    sentinel:
      # 取消控制台懒加载
      eager: true
      transport:
        # 控制台地址
        dashboard: 192.168.0.14:28858
      # nacos配置持久化
      datasource:
        ds1:
          nacos:
            username: nacos
            password: bonus@Admin123
            server-addr: 192.168.0.244:8848
            namespace: bonus_houqin
            dataId: sentinel-bonus-gateway
            groupId: DEFAULT_GROUP
            data-type: json
            rule-type: gw-flow


#系统 自动 加解密开关
system:
  encryptEnabled: false
  decryptEnabled: true
#加密组件
jasypt:
  encryptor:
    password: Encrypt
